Package writer2latex.xhtml

# Class XhtmlConfig

java.lang.Object
writer2latex.base.ConfigBase
writer2latex.xhtml.XhtmlConfig

All Implemented Interfaces:
  `Config`

public class XhtmlConfig extends ConfigBase

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABSOLUTE`
`static final int`
`ALL`
`static final int`
`CONVERT_ALL`
`static final int`
`CSS1`
`static final int`
`CSS1_HACK`
`static final int`
`EXPLICIT`
`static final int`
`HARD_LABELS`
`static final int`
`IGNORE_ALL`
`static final int`
`IGNORE_HARD`
`static final int`
`IGNORE_STYLES`
`static final int`
`IMAGE_LATEX`
`static final int`
`IMAGE_STARMATH`
`static final int`
`LATEX`
`static final int`
`NONE`
`static final int`
`RELATIVE`
`static final int`
`STARMATH`
`static final int`
`STYLES`
`protected ComplexOption`
`xattr`
`protected ComplexOption`
`xframe`
`protected ComplexOption`
`xheading`
`protected ComplexOption`
`xlist`
`protected ComplexOption`
`xpar`
`protected ComplexOption`
`xtext`

### Fields inherited from class writer2latex.base.ConfigBase

`optionGroups, options`

## Constructor Summary

Constructors
Constructor
Description
`XhtmlConfig()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`applyPrintRanges()`
`boolean`
`avoidHtml5()`
`boolean`
`coverImage()`
`String`
`defaultFontName()`
`boolean`
`displayFilteredRowsCols()`
`boolean`
`displayHiddenRowsCols()`
`boolean`
`displayHiddenText()`
`boolean`
`embedImg()`
`boolean`
`embedSVG()`
`int`
`externalTocDepth()`
`int`
`externalTocDepthMarks()`
`String`
`fontScaling()`
`int`
`formulas()`
`protected String`
`getDefaultConfigPath()`
`String`
`getEndnotesHeading()`
`String`
`getFootnotesHeading()`
`String`
`getMaxWidth()`
`protected int`
`getOptionCount()`
`XhtmlStyleMap`
`getXAttrStyleMap()`
`XhtmlStyleMap`
`getXFrameStyleMap()`
`XhtmlStyleMap`
`getXHeadingStyleMap()`
`String`
`getXhtmlColumnScaling()`
`String`
`getXhtmlDirectoryIcon()`
`String`
`getXhtmlDocumentIcon()`
`int`
`getXhtmlRepeatLevels()`
`String`
`getXhtmlScaling()`
`int`
`getXhtmlSplitLevel()`
`String`
`getXhtmlTabstopStyle()`
`String`
`getXhtmlUplink()`
`XhtmlStyleMap`
`getXListStyleMap()`
`XhtmlStyleMap`
`getXParStyleMap()`
`XhtmlStyleMap`
`getXTextStyleMap()`
`boolean`
`hexadecimalEntities()`
`boolean`
`ignoreDoubleSpaces()`
`boolean`
`ignoreEmptyParagraphs()`
`boolean`
`ignoreHardLineBreaks()`
`int`
`imageSize()`
`String`
`imageSplit()`
`boolean`
`includeNCX()`
`boolean`
`includeToc()`
`boolean`
`indexLinks()`
`int`
`listFormatting()`
`boolean`
`multilingual()`
`int`
`pageBreakSplit()`
`boolean`
`prettyPrint()`
`protected void`
`readInner(Element elm)`
Read configuration information from an xml element.
`boolean`
`relativeFontSize()`
`boolean`
`saveImagesInSubdir()`
`boolean`
`separateStylesheet()`
`void`
`setOption(String sName, String sValue)`
Set a name/value option.
`int`
`splitAfter()`
`int`
`tableSize()`
`String`
`templateIds()`
`boolean`
`useDefaultFont()`
`boolean`
`useMathJax()`
`boolean`
`useNamedEntities()`
`protected void`
`writeInner(Document dom)`
Write configuration information to an xml document.
`boolean`
`xhtmlAddBOM()`
`boolean`
`xhtmlCalcSplit()`
`boolean`
`xhtmlConvertToPx()`
`String`
`xhtmlCustomStylesheet()`
`boolean`
`xhtmlDisplayHiddenSheets()`
`String`
`xhtmlEncoding()`
`boolean`
`xhtmlFloatObjects()`
`int`
`xhtmlFormatting()`
`int`
`xhtmlFrameFormatting()`
`boolean`
`xhtmlNoDoctype()`
`boolean`
`xhtmlNotes()`
`int`
`xhtmlSectionFormatting()`
`int`
`xhtmlTableFormatting()`
`boolean`
`xhtmlUseDublinCore()`
`boolean`
`xhtmlUseSheetNamesAsHeadings()`
`boolean`
`xhtmlUseTitleAsHeading()`

### Methods inherited from class writer2latex.base.ConfigBase

`addComplexOption, getComplexOption, getOption, read, read, readDefaultConfig, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### IGNORE_ALL

public static final int IGNORE_ALL

See Also:
  - Constant Field Values

### IGNORE_STYLES

public static final int IGNORE_STYLES

See Also:
  - Constant Field Values

### IGNORE_HARD

public static final int IGNORE_HARD

See Also:
  - Constant Field Values

### CONVERT_ALL

public static final int CONVERT_ALL

See Also:
  - Constant Field Values

### CSS1

public static final int CSS1

See Also:
  - Constant Field Values

### CSS1_HACK

public static final int CSS1_HACK

See Also:
  - Constant Field Values

### HARD_LABELS

public static final int HARD_LABELS

See Also:
  - Constant Field Values

### NONE

public static final int NONE

See Also:
  - Constant Field Values

### ABSOLUTE

public static final int ABSOLUTE

See Also:
  - Constant Field Values

### RELATIVE

public static final int RELATIVE

See Also:
  - Constant Field Values

### STARMATH

public static final int STARMATH

See Also:
  - Constant Field Values

### LATEX

public static final int LATEX

See Also:
  - Constant Field Values

### IMAGE_STARMATH

public static final int IMAGE_STARMATH

See Also:
  - Constant Field Values

### IMAGE_LATEX

public static final int IMAGE_LATEX

See Also:
  - Constant Field Values

### STYLES

public static final int STYLES

See Also:
  - Constant Field Values

### EXPLICIT

public static final int EXPLICIT

See Also:
  - Constant Field Values

### ALL

public static final int ALL

See Also:
  - Constant Field Values

### xheading

protected ComplexOption xheading

### xpar

protected ComplexOption xpar

### xtext

protected ComplexOption xtext

### xframe

protected ComplexOption xframe

### xlist

protected ComplexOption xlist

### xattr

protected ComplexOption xattr

## Constructor Details

### XhtmlConfig

public XhtmlConfig()

## Method Details

### getOptionCount

protected int getOptionCount()

Specified by:
  `getOptionCount` in class `ConfigBase`

### getDefaultConfigPath

protected String getDefaultConfigPath()

Specified by:
  `getDefaultConfigPath` in class `ConfigBase`

### setOption

public void setOption(String sName, String sValue)
Description copied from interface: `Config`
Set a name/value option. Options that are not defined by the `Converter` implementation as well as null values are silently ignored

Specified by:
  `setOption` in interface `Config`
Overrides:
  `setOption` in class `ConfigBase`
Parameters:
  `sName` - the name of the option
  `sValue` - the value of the option

### readInner

protected void readInner(Element elm)
Description copied from class: `ConfigBase`
Read configuration information from an xml element. The subclass must define this to read richer configuration data

Specified by:
  `readInner` in class `ConfigBase`

### writeInner

protected void writeInner(Document dom)
Description copied from class: `ConfigBase`
Write configuration information to an xml document. The subclass must define this to write richer configuration data

Specified by:
  `writeInner` in class `ConfigBase`

### ignoreHardLineBreaks

public boolean ignoreHardLineBreaks()

### ignoreEmptyParagraphs

public boolean ignoreEmptyParagraphs()

### ignoreDoubleSpaces

public boolean ignoreDoubleSpaces()

### imageSize

public int imageSize()

### xhtmlNoDoctype

public boolean xhtmlNoDoctype()

### xhtmlAddBOM

public boolean xhtmlAddBOM()

### xhtmlEncoding

public String xhtmlEncoding()

### useNamedEntities

public boolean useNamedEntities()

### hexadecimalEntities

public boolean hexadecimalEntities()

### prettyPrint

public boolean prettyPrint()

### multilingual

public boolean multilingual()

### templateIds

public String templateIds()

### separateStylesheet

public boolean separateStylesheet()

### xhtmlCustomStylesheet

public String xhtmlCustomStylesheet()

### xhtmlFormatting

public int xhtmlFormatting()

### xhtmlFrameFormatting

public int xhtmlFrameFormatting()

### xhtmlSectionFormatting

public int xhtmlSectionFormatting()

### xhtmlTableFormatting

public int xhtmlTableFormatting()

### tableSize

public int tableSize()

### listFormatting

public int listFormatting()

### getMaxWidth

public String getMaxWidth()

### useDefaultFont

public boolean useDefaultFont()

### defaultFontName

public String defaultFontName()

### xhtmlUseDublinCore

public boolean xhtmlUseDublinCore()

### xhtmlNotes

public boolean xhtmlNotes()

### displayHiddenText

public boolean displayHiddenText()

### xhtmlConvertToPx

public boolean xhtmlConvertToPx()

### getXhtmlScaling

public String getXhtmlScaling()

### getXhtmlColumnScaling

public String getXhtmlColumnScaling()

### relativeFontSize

public boolean relativeFontSize()

### fontScaling

public String fontScaling()

### xhtmlFloatObjects

public boolean xhtmlFloatObjects()

### getXhtmlTabstopStyle

public String getXhtmlTabstopStyle()

### getEndnotesHeading

public String getEndnotesHeading()

### getFootnotesHeading

public String getFootnotesHeading()

### formulas

public int formulas()

### externalTocDepth

public int externalTocDepth()

### includeToc

public boolean includeToc()

### includeNCX

public boolean includeNCX()

### getXhtmlSplitLevel

public int getXhtmlSplitLevel()

### getXhtmlRepeatLevels

public int getXhtmlRepeatLevels()

### pageBreakSplit

public int pageBreakSplit()

### splitAfter

public int splitAfter()

### imageSplit

public String imageSplit()

### coverImage

public boolean coverImage()

### embedSVG

public boolean embedSVG()

### embedImg

public boolean embedImg()

### useMathJax

public boolean useMathJax()

### xhtmlCalcSplit

public boolean xhtmlCalcSplit()

### xhtmlDisplayHiddenSheets

public boolean xhtmlDisplayHiddenSheets()

### displayHiddenRowsCols

public boolean displayHiddenRowsCols()

### displayFilteredRowsCols

public boolean displayFilteredRowsCols()

### applyPrintRanges

public boolean applyPrintRanges()

### xhtmlUseTitleAsHeading

public boolean xhtmlUseTitleAsHeading()

### xhtmlUseSheetNamesAsHeadings

public boolean xhtmlUseSheetNamesAsHeadings()

### saveImagesInSubdir

public boolean saveImagesInSubdir()

### getXhtmlUplink

public String getXhtmlUplink()

### getXhtmlDirectoryIcon

public String getXhtmlDirectoryIcon()

### getXhtmlDocumentIcon

public String getXhtmlDocumentIcon()

### indexLinks

public boolean indexLinks()

### externalTocDepthMarks

public int externalTocDepthMarks()

### avoidHtml5

public boolean avoidHtml5()

### getXParStyleMap

public XhtmlStyleMap getXParStyleMap()

### getXHeadingStyleMap

public XhtmlStyleMap getXHeadingStyleMap()

### getXTextStyleMap

public XhtmlStyleMap getXTextStyleMap()

### getXFrameStyleMap

public XhtmlStyleMap getXFrameStyleMap()

### getXListStyleMap

public XhtmlStyleMap getXListStyleMap()

### getXAttrStyleMap

public XhtmlStyleMap getXAttrStyleMap()